[all:vars]
on_openstack=False
{% if yaook_k8s_ip6_enabled %}
ipv6_enabled=True
ipv4_enabled=False
subnet_v6_cidr={{ yaook_k8s_ymc_calico_node_subnet }}
networking_fixed_ip_v6={{ yaook_k8s_ymc_fixed_ip }}
k8s_network_ipv6_nat_outgoing=False
{% else %}
dualstack_support=False
ipv6_enabled=False
ipv4_enabled=True
subnet_cidr= {{ yaook_k8s_ymc_calico_node_subnet }}
networking_fixed_ip={{ yaook_k8s_ymc_fixed_ip }}
{% endif %}

[orchestrator]
localhost ansible_connection=local ansible_python_interpreter="{{ '{{' }} ansible_playbook_python {{ '}}' }}"

[k8s_nodes:children]
masters
workers

[frontend:children]
masters

[masters]
{% if yaook_k8s_ip6_enabled %}
{% for host in vars['yaook_k8s_ymc_master_nodes']%}
{{ host.name }} ansible_host={{ host.ip }} ansible_user={{ host.user }} local_ipv6_address={{ host.ip }}
{% endfor %}
{% else %}
{% for host in vars['yaook_k8s_ymc_master_nodes']%}
{{ host.name }} ansible_host={{ host.ip }} ansible_user={{ host.user }} local_ipv4_address={{ host.ip }}
{% endfor %}
{% endif %}


[workers]

